Package org.w3._2000._09.xmldsig

# Class RSAKeyValue

java.lang.Object
org.w3._2000._09.xmldsig.RSAKeyValue

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class RSAKeyValue extends Object implements Serializable

Java class for RSAKeyValueType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RSAKeyValueType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Modulus" type="{http://www.w3.org/2000/09/xmldsig#}CryptoBinary"/>
             <element name="Exponent" type="{http://www.w3.org/2000/09/xmldsig#}CryptoBinary"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSAKeyValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getExponent()`
  Gets the value of the exponent property.
  `byte[]`
  `getModulus()`
  Gets the value of the modulus property.
  `void`
  `setExponent(byte[] value)`
  Sets the value of the exponent property.
  `void`
  `setModulus(byte[] value)`
  Sets the value of the modulus property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RSAKeyValue

    public RSAKeyValue()

- ## Method Details

  - ### getModulus

    public byte[] getModulus()
    Gets the value of the modulus property.
    Returns:
      possible object is byte[]

  - ### setModulus

    public void setModulus(byte[] value)
    Sets the value of the modulus property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getExponent

    public byte[] getExponent()
    Gets the value of the exponent property.
    Returns:
      possible object is byte[]

  - ### setExponent

    public void setExponent(byte[] value)
    Sets the value of the exponent property.
    Parameters:
      `value` - allowed object is byte[]